<?php
/**
* WoWRoster.net WoWRoster
*
* LICENSE: Licensed under the Creative Commons
*          "Attribution-NonCommercial-ShareAlike 2.5" license
*
* @copyright  2002-2007 WoWRoster.net
* @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
* @version    SVN: $Id: install.def.php 1486 2007-11-27 18:21:56Z Zanix $
* @link       http://www.wowroster.net
* @package    EventCalendar
* @subpackage Installer
*/
 
if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}
 
/**
* Installer for EventCalendar Addon
*
* @package    EventCalendar
* @subpackage Installer
*/
class eventcalendarInstall
{
        var $active = true;
        var $icon = 'inv_scroll_03';
 
        var $version = '1.9.9.1431.2184';
        var $wrnet_id = '0';
 
        var $fullname = 'EventCalendar';
        var $description = 'Way to Show your guild events on your roster';
        var $credits = array(
                array(  "name"=>  "Polodude for original Script and Lyco for Roster 2.0 upgrade",
                                "info"=>        "Way to parse GEM or Groupcalendar into Roster 2.0"),
	); 
 
        /**
         * Install Function
         *
         * @return bool
         */
        function install()
        {
                global $installer;
 
                # Master data for the config file
                $installer->add_config("1,'startpage','eventconfig','display','master'");
 
                # Config menu entries
                $installer->add_config("100,'eventconfig',NULL,'blockframe','menu'");
 
                # Generic display settings
                $installer->add_config("'1000','EventCalendarver','2.0.0','text{10|10','Event_Calendar'");
 
                $installer->create_table($installer->table('events'),"
                `eventid` int(6) NOT NULL AUTO_INCREMENT,
                `date` datetime NOT NULL default '0000-00-00 00:00:00',
                `title` varchar(100) NOT NULL default '',
                `type` varchar(100) NOT NULL default '',
                `note` varchar(255) NOT NULL default '',
                `leader` varchar(100) NOT NULL default '',            
                `minLevel` int(11) NOT NULL default '0',
                `maxLevel` int(11) NOT NULL default '0',
                `maxCount` int(11) NOT NULL default '0',
                KEY `eventid` (`eventid`)");
 
 		$installer->create_table($installer->table('event_members'),"
                `name` varchar (100) NOT NULL default '',
                `guild` varchar(255) NOT NULL default '',
                `class` varchar(100) NOT NULL default '',
                `level` int(11) NOT NULL default '0',
                UNIQUE KEY `name` (`name`)");
 
                $installer->create_table($installer->table('event_suscribers'),"
                `eventid` int(11) NOT NULL default '0',
                `name` varchar(100) NOT NULL default '',
                `place` varchar(10) NOT NULL default '',
                `status` varchar(100) NOT NULL default '',
                `note` varchar(255) NOT NULL default '',
                KEY `eventid` (`eventid`),
                KEY `name` (`name`)");
 
 		$installer->create_table($installer->table('event_limits'),"
                `eventid` int(11) NOT NULL default '0',
                `class` varchar(100) NOT NULL default '',
                `min` int(11) NOT NULL default '0',
                `max` int(11) NOT NULL default '0',
                KEY `eventid` (`eventid`)");
 
                # Roster menu entry
                $installer->add_menu_button('button_EventCalendar','EventCalendar');
 
                $installer->add_menu_button('button_EventCalendar','guild','index','inv_banner_03');

		return true;
        }
 
        /**
         * Un-Install Function
         *
         * @return bool
         */
        function uninstall()
        {
                global $installer;
 
                $installer->remove_all_config();
                $installer->remove_all_menu_button();
 
                $installer->drop_table($installer->table('events'));
                $installer->drop_table($installer->table('event_members'));
                $installer->drop_table($installer->table('event_suscribers'));
		$installer->drop_table($installer->table('event_limits'));
 
                $installer->remove_menu_button('EventCalendar');
 
                return true;
        }
} 
