<?php
$versions['versionDate']['eventcalendar'] = '$Date: 2006/10/22 $'; 
$versions['versionRev']['eventcalendar'] = '$Revision: 1.0.2 $'; 
$versions['versionAuthor']['eventcalendar'] = '$Author: PoloDude $';

/******************************
 * $Id: trigger.php,v 1.9 2006/05/10 09:30:17 zanix Exp $
 ******************************/


/*
	Start the following scripts when "update.php" is called

	Available variables
		- $wowdb       = roster's db layer
		- $member_id   = character id from the database ( ex. 24 )
		- $member_name = character's name ( ex. 'Jonny Grey' )
		- $roster_conf = The entire roster config array
		- $mode        = when you want to run the trigger
			= 'char'  - during a character update
			= 'guild' - during a guild update

	You may need to do some fancy coding if you need more variables

	You can just print any needed output

*/

class eventcalendarUpdate
{
	var $messages = '';	// Update messages
	var $data = array();	// Addon config data automatically pulled from the addon_config table
	var $files = array();
 
 
	/**
	 * Class instantiation
	 * The name of this function MUST be the same name as the class name
	 *
	 * @param array $data	| Addon data
	 * @return recipe
	 */
	function eventcalendarUpdate($data)
	{
		$this->data = $data;
		$this->files[] = "guildeventmanager2";
		$this->files[] = "groupcalendar"; // Add EventCalendar filename
	}
 
	/**
	 * Resets addon messages
	 */
	function reset_messages()
	{
		$this->messages = '';
	}
 
	function post_char()
	{
		global $roster, $update;
		$output = '';
		$updateChars = $addon['config']['EventUpdaters'];
		//----------[ INSERT UPDATE TRIGGER BELOW ]-----------------------
		// Run this on a character update
		if( $addon['config']['UpdateTrigger'] ) {
		// Check if character is allowed to updated raids
			if(in_array($member_name,$updateChars) || $addon['config']['UpdateAll']){
			// If CT_EventCalendar data is there, assign it to $uploadData['EventCalendar']
				if( isset($update->uploadData['groupcalendar']) || isset($update->uploadData['guildeventmanager2']) ){
					include_once($addon['url'].'inc/functions.php');
					if($addon['config']['UpdateMode'] == 'GEM'){
						$this->messages .= processGEM($member_name,$uploadData['guildeventmanager2']);
					}
					elseif($addon['config']['UpdateMode'] == 'GroupCalendar'){
						$this->messages .= processGRP($member_name,$uploadData['groupcalendar']);
					}
				}
			}
		}
	}
}
?>
